<id>
Add This Social Bookmarking for YaBB 2.3
</id>

<version>
1.0
</version>

<mod info>
Uses the AddThis.com widget to allow easy bookmarking and sharing of topics

Version History
1.0 - First release by Derek Barnstorm - 10th December 2008

Files to edit
Admin/ModList.pl 
Admin/NewSettings.pl 
Admin/Settings_Main.pl 
Sources/Display.pl 
Templates/default/Display.template 
Templates/yabb2/Display.template
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_addthis = "Add This Social Bookmarking|Derek Barnstorm|Uses the AddThis.com widget to allow easy bookmarking and sharing of topics|1.0|10th December 2008";
	push (@installed_mods, "$mod_addthis");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$quoteuser_color = "$quoteuser_color";			# Set the default color of @ in userquote
</search for>

<add after>

########## Add This Social Bookmarking configuration ##########

\$showbookmarks = $showbookmarks;				# Set to 1 to enable add this social bookmarking
\$bmaccountid = "\Q$bmaccountid\E";		        # Add This account id
\$bmlogo = "\Q$bmlogo\E";		                # URL to your bookmarks logo 
\$bmlogobgcolor = "\Q$bmlogobgcolor\E";		    # Color of logo background
\$bmlogocolor = "\Q$bmlogocolor\E";		        # Color of logo font
\$bmbrand = "\Q$bmbrand\E";		                # Website or company name
\$bmoptions = "\Q$bmoptions\E";		            # Bookmark options
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
&LoadLanguage('Register');
</search for>

<add after>
&LoadLanguage('SocialBookmarks');
</add after>

<search for>
		{
			description => $qrb_txt{'8'},
			input_html => qq~<input type="text" size="5" name="quick_quotelength" value="$quick_quotelength" />~,
			name => 'quick_quotelength',
			validate => 'number',
			depends_on => ['enable_quickjump', 'enable_quickreply'],
		},
</search for>

<add after>
		{
			header => $bookmark_txt{'01'},
		},
		{
			description => $bookmark_txt{'02'},
			input_html => qq~<input type="checkbox" name="showbookmarks" value="1"${ischecked($showbookmarks)} />~,
			name => 'showbookmarks',
			validate => 'boolean',
		},
		{
			description => $bookmark_txt{'03'},
			input_html => qq~<input type="text" size="35" maxlength="35" name="bmaccountid" value="$bmaccountid" />~,
			name => 'bmaccountid',
			validate => 'text,null',
			depends_on => ['showbookmarks'],
		},
		{
			description => $bookmark_txt{'04'},
			input_html => qq~<input type="text" size="35" maxlength="150" name="bmlogo" value="$bmlogo" />~,
			name => 'bmlogo',
			validate => 'text,null',
			depends_on => ['showbookmarks'],
		},
		{
			description => $bookmark_txt{'05'},
			input_html => qq~#<input type="text" size="6" maxlength="6" name="bmlogobgcolor" value="$bmlogobgcolor" /> <span style="background-color: #$bmlogobgcolor;">&nbsp; &nbsp; &nbsp;</span> <img align="top" src="$imagesdir/palette1.gif" style="cursor: pointer" onclick="window.open('$scripturl?action=palette;task=templ_0', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" border="0" />
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			function previewColor_0(color) {
			       color = color.replace(/#/, ''); 
				   document.getElementsByName("bmlogobgcolor")[0].value = color;
			}
			//-->
			</script>~,
			name => 'bmlogobgcolor',
			validate => 'text,null',
			depends_on => ['showbookmarks'],
		},
		{
			description => $bookmark_txt{'06'},
			input_html => qq~#<input type="text" size="6" maxlength="6" name="bmlogocolor" value="$bmlogocolor" /> <span style="background-color: #$bmlogocolor;">&nbsp; &nbsp; &nbsp;</span> <img align="top" src="$imagesdir/palette1.gif" style="cursor: pointer" onclick="window.open('$scripturl?action=palette;task=templ_1', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" border="0" />
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			function previewColor_1(color) {
			       color = color.replace(/#/, ''); 
				   document.getElementsByName("bmlogocolor")[0].value = color;
			}
			//-->
			</script>~,
			name => 'bmlogocolor',
			validate => 'text,null',
			depends_on => ['showbookmarks'],
		},
		{
			description => $bookmark_txt{'07'},
			input_html => qq~<input type="text" size="35" maxlength="35" name="bmbrand" value="$bmbrand" />~,
			name => 'bmbrand',
			validate => 'text,null',
			depends_on => ['showbookmarks'],
		},
		{
		    description => $bookmark_txt{'08'},
			input_html => qq~<input type="text" size="35" name="bmoptions" value="$bmoptions" />~,
			name => 'bmoptions',
			validate => 'text,null',
			depends_on => ['showbookmarks'],
		},
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
			require "$sourcedir/ExtendedProfiles.pl";
			$template_gender .= &ext_viewinposts($musername);
		}
</search for>

<add after>
		
		### Add This Social Bookmarkings Start ###
        $bmoptions1 = "addthis_options         = '$bmoptions';";
		if ($bmoptions eq '') {
		$bmoptions1 = '';
		} 
		if ($showbookmarks) {
		$socialbookmarks = qq~
		<td align="center">
        <!-- AddThis Button BEGIN -->
        <script type="text/javascript">
         addthis_pub             = '$bmaccountid'; 
         addthis_logo            = '$bmlogo';
         addthis_logo_background = '$bmlogobgcolor';
         addthis_logo_color      = '$bmlogocolor';
         addthis_brand           = '$bmbrand';
         $bmoptions1
        </script>
        <a href="http://www.addthis.com/bookmark.php" onmouseover="return addthis_open(this, '', '$scripturl?num=$mnum', '[TITLE]')" onmouseout="addthis_close()" onclick="return addthis_sendto()"><img src="$modimgurl/AddThis/$language/share.gif" border="0" alt="" /></a><script type="text/javascript" src="http://s7.addthis.com/js/152/addthis_widget.js"></script>
        <!-- AddThis Button END -->
        </td>
		~;
		}
        ### Add This Social Bookmarkings End ###
</add after>

<search for>
	$display_template =~ s/({|<)yabb pageindex bottom(}|>)/$pageindex2/g;
</search for>

<add after>
	### Add This Social Bookmarkings Start ###
	$display_template =~ s/({|<)yabb socialbookmarks(}|>)/$socialbookmarks/g;
	### Add This Social Bookmarkings End ###
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		{yabb moderators}
	</span>
	</td>
</search for>

<add after>
	{yabb socialbookmarks}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb moderators>
	</span>
	</td>
</search for>

<add after>
	<yabb socialbookmarks>
</add after>
